package com.lantone.report.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.report.dto.AppealExamineRecordDTO;
import com.lantone.report.dto.GetAppealDeptDTO;
import com.lantone.report.dto.GetAppealInfoDTO;
import com.lantone.report.dto.GetAppealModeDTO;
import com.lantone.report.vo.GetAppealDeptVo;
import com.lantone.report.vo.GetAppealInfoVO;
import com.lantone.report.entity.AppealInfo;
import com.lantone.report.vo.GetAppealModeVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表名：med_appeal_info Mapper接口
 * </p>
 */
public interface AppealInfoMapper extends BaseMapper<AppealInfo> {

    GetAppealInfoDTO getAppealInfo(@Param("getAppealInfoVO") GetAppealInfoVO getAppealInfoVO);

    List<AppealExamineRecordDTO> getAppealExamineRecords(@Param("getAppealInfoVO") GetAppealInfoVO getAppealInfoVO);

    String getModeName(@Param("id") Long id);
    Long getModeIdByName(@Param("name") String name);

    List<GetAppealDeptDTO> getAppealDept(@Param("getAppealDeptVo") GetAppealDeptVo getAppealDeptVo);

    List<GetAppealModeDTO> getAppealMode(@Param("getAppealModeVo") GetAppealModeVo getAppealModeVo);
}